Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.devel
Class mddViewer

    java.lang.Object
      org.makumba.devel.LineViewer
          org.makumba.devel.mddViewer

All Implemented Interfaces:
  SourceViewer

    public class mddViewer

extends LineViewer

This class implements a viewer for MDD syntax highlighting.

Field Summary
`protected MakumbaError` | `err`

Fields inherited from class org.makumba.devel.LineViewer
`caughtError, codeBackgroundStyle, contextPath, dir, hideLineNumbers, importedClasses, importedPackages, jspClasspath, jspSourceViewExtension, logicPath, PARAM_HIDE_LINES, printHeaderFooter, printLineNumbers, reader, realPath, request, searchCompiledJSPClasses, searchJavaClasses, searchJSPPages, searchMDD, servletPath, title, virtualPath`

Constructor Summary
`mddViewer(HttpServletRequest req)`

Method Summary
`void` | `footer(PrintWriter pw)` Write the page footer to the given writer.
`String` | `getLineTag(String s)`
`void` | `intro(PrintWriter w)` Write the page header to the given writer.
`String` | `parseLine(String s)` Processes one line of code, and adds links for MDDs JSP pages Java Classes from JSP pages generated Java classes Subclasses that want to provide any additional formatting (syntax highlighting, etc) should extend this method, apply their formatting and before/afterwards call this method.
`String` | `parseValidationLine(String s)`
`void` | `printLine(PrintWriter w, String s, String toPrint)`
`protected void` | `writeAdditionalLinks(PrintWriter w)`

Methods inherited from class org.makumba.devel.LineViewer
`addImportedPackages, findClass, findClassSimple, findCompiledJSP, findPage, formatClassLink, formatClassLink, formatJSPLink, formatMakumbaLink, formatMDDLink, formatSunTaglibLink, getDirectory, getLineTokenizer, getReader, htmlEscape, main, parseText, printFileRelations, printPageBegin, printPageBeginAdditional, printPageEnd, printVersionControlLink, readFromURL, setSearchLevels`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### err

    protected MakumbaError err

Constructor Detail

### mddViewer

    public mddViewer(HttpServletRequest req)
              throws Exception

Throws:
  `Exception`

Method Detail

### footer

    public void footer(PrintWriter pw)
                throws IOException

  Description copied from class: `LineViewer`
  Write the page footer to the given writer.

  Overrides:
    `footer` in class `LineViewer`
  Throws:
    `IOException`

### getLineTag

    public String getLineTag(String s)

  Overrides:
    `getLineTag` in class `LineViewer`

### printLine

    public void printLine(PrintWriter w,
                          String s,
                          String toPrint)
                   throws IOException

  Overrides:
    `printLine` in class `LineViewer`
  Throws:
    `IOException`

### intro

    public void intro(PrintWriter w)

  Description copied from class: `LineViewer`
  Write the page header to the given writer.

  Overrides:
    `intro` in class `LineViewer`

### parseLine

    public String parseLine(String s)

  Description copied from class: `LineViewer`
  Processes one line of code, and adds links for
  - MDDs
  - JSP pages
  - Java Classes
  - from JSP pages generated Java classes
  Subclasses that want to provide any additional formatting (syntax highlighting, etc) should extend this method, apply their formatting and before/afterwards call this method. This method is rather time-consuming, and subclasses interested in providing links just to a part of the above should use the `setSearchLevels` method to specify for what types of files are searched for.

  Overrides:
    `parseLine` in class `LineViewer`
  Parameters:
    `s` - the unformatted code line.
  Returns:
    The formatted code line.

### parseValidationLine

    public String parseValidationLine(String s)

### writeAdditionalLinks

    protected void writeAdditionalLinks(PrintWriter w)

  Overrides:
    `writeAdditionalLinks` in class `LineViewer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20